<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns5="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="fmiCompletedIntegratorStep">
  <refnamediv>
    <refname>fmiCompletedIntegratorStep</refname>
    <refpurpose>Completed step of the integrator.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      callEventUpdate = fmiCompletedIntegratorStep(instance)
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Arguments</title>
    <variablelist>
		<varlistentry>
		<term>instance</term>	
			<listitem>
				<para>tlist, an <link linkend="fmiInstantiateModel">instance</link> of a model.</para>
			</listitem>
		</varlistentry>
		<varlistentry>
		<term>callEventUpdate</term>	
			<listitem>
				<para>boolean, callEventUpdate = <term>%t</term> or <term>%f</term>.</para>
			</listitem>
		</varlistentry>
	</variablelist>
  </refsection>
  <refsection>
        <title>Description</title>
        <para>
            <literal>fmiCompletedIntegratorStep</literal> is the function which must be called after every completed 
			step of the integrator. If the function returns with <literal>callEventUpdate = true</literal>, then the function <link linkend="fmiEventUpdate">fmiEventUpdate</link> must be called, 
			otherwise, no action is needed.      
        </para>
  </refsection>    
  <refsection role="see also">
        <title>See Also</title>
        <simplelist type="inline">
            <member>
                <link linkend="fmiGetDerivatives">fmiGetDerivatives</link>
            </member>
			<member>
                <link linkend="fmiGetEventIndicators">fmiGetEventIndicators</link>
            </member>
            <member>
                <link linkend="fmiGetStateValueReferences">fmiGetStateValueReferences</link>
            </member>
			<member>
                <link linkend="fmiInitialize">fmiInitialize</link>
            </member>
        </simplelist>
  </refsection> 
</refentry>